GetOnPremScheduler returns an onprem scheduler specified by its UUID.
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
onprem-schedulers
/
{uuid}
GetOnPremScheduler returns an onprem scheduler specified by its UUID.
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/onprem-schedulers/{uuid}import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/onprem-schedulers/{uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/onprem-schedulers/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"api_credentials": {
"key": "<string>",
"secret": "<string>"
},
"azure": {
"managed_identity_client_id": "<string>",
"enable_managed_identity": true
},
"connection_status": {
"connection_state": "CONNECTION_STATE_UNSPECIFIED",
"last_updated": "2023-11-07T05:31:56Z"
},
"endorctl_config": {
"image": "<string>",
"max_duration": 123,
"tag": "<string>"
},
"gcp": {
"service_account": "<string>"
},
"helm_values": "<string>",
"scheduler_config": {
"image": "<string>",
"max_running_jobs": 123,
"tag": "<string>"
},
"scheduler_version": "<string>",
"use_bazel_cache": true
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
The UUID of the requested resource.
Query Parameters
List of fields to return (all fields are returned by default).
Response
A successful response.
Was this page helpful?
CreateOnPremScheduler creates an onprem scheduler.
Previous
DeleteOnPremScheduler deletes an onprem scheduler specified by its UUID.
Next
⌘I
GetOnPremScheduler returns an onprem scheduler specified by its UUID.
